from config import DefaultConfig
from test.testlogs import TestBuildLogs


class FakeTransaction(object):
  def __enter__(self):
    return self

  def __exit__(self, exc_type, value, traceback):
    pass


class TestConfig(DefaultConfig):
  TESTING = True

  DB_URL = 'sqlite:///:memory:'
  DB_CONNECTION_ARGS = {}

  @staticmethod
  def create_transaction(db):
    return FakeTransaction()

  DB_TRANSACTION_FACTORY = create_transaction

  STORAGE_TYPE = 'FakeStorage'

  BUILDLOGS = TestBuildLogs('logs.quay.io', 'devtable', 'building',
                            'deadbeef-dead-beef-dead-beefdeadbeef')

  USERFILES_TYPE = 'FakeUserfiles'
